package com.njcn.gather.aireport.reportapproval.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njcn.gather.aireport.reportapproval.pojo.param.ReportApprovalParam;
import com.njcn.gather.aireport.reportapproval.pojo.vo.ReportApprovalLogVO;
import com.njcn.gather.aireport.reportapproval.pojo.vo.ReportApprovalPendingVO;

public interface ReportApprovalService {

    boolean pass(ReportApprovalParam.AuditParam param);

    boolean reject(ReportApprovalParam.AuditParam param);

    Page<ReportApprovalPendingVO> pendingPage(ReportApprovalParam.PendingQueryParam param);

    Page<ReportApprovalLogVO> logPage(ReportApprovalParam.LogQueryParam param);
}
